JGraph X 1.3.0.0

## com.mxgraph.view
Class mxGraphView.mxCurrentRootChange

    java.lang.Object
      com.mxgraph.view.mxGraphView.mxCurrentRootChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphView

    public static class mxGraphView.mxCurrentRootChange

extends java.lang.Object
implements mxUndoableEdit.mxUndoableChange

Action to change the current root in a view.

Field Summary
`protected java.lang.Object` `previous`
`protected java.lang.Object` `root`
`protected boolean` `up`
`protected mxGraphView` `view`

Constructor Summary
`mxGraphView.mxCurrentRootChange(mxGraphView view, java.lang.Object root)` Constructs a change of the current root in the given view.

Method Summary
`void` `execute()` Changes the current root of the view.
`java.lang.Object` `getPrevious()` Returns the previous root.
`java.lang.Object` `getRoot()` Returns the root.
`mxGraphView` `getView()` Returns the graph view where the change happened.
`boolean` `isUp()` Returns true if the drilling went upwards.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### view

    protected mxGraphView view

### root

    protected java.lang.Object root

### previous

    protected java.lang.Object previous

### up

    protected boolean up

Constructor Detail

### mxGraphView.mxCurrentRootChange

    public mxGraphView.mxCurrentRootChange(mxGraphView view,
                                           java.lang.Object root)

  Constructs a change of the current root in the given view.

Method Detail

### getView

    public mxGraphView getView()

  Returns the graph view where the change happened.

### getRoot

    public java.lang.Object getRoot()

  Returns the root.

### getPrevious

    public java.lang.Object getPrevious()

  Returns the previous root.

### isUp

    public boolean isUp()

  Returns true if the drilling went upwards.

### execute

    public void execute()

  Changes the current root of the view.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.